Kubernetes Run Pod
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Kubernetes Run Pod action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Run Pod",
"type": "KUBERNETES_RUN_POD",
"trigger_time": "ON_EVERY_EXECUTION",
"targets": [
{
"zone": "europe-west1-c",
"project_id": "tokyo-house-138923",
"identifier": "my_target_id",
"name": "my-target",
"integration": "5ddb7c180fb38be67bd78a88a",
"type": "GKE",
"scope": "ACTION",
"tags": [
"olive",
"orange",
"rabsperry"
],
"cluster": "cluster-1"
}
],
"record_arg": "NOT_SET",
"leave_after": true,
"not_wait": true,
"config_path": "config.yaml"
}'STATUS200 OK